Confirm his/her health records
Be invoked by the patient or user to confirm their health records.
By using this API, patients can validate and confirm the linkage of their health information to their ABHA (Ayushman Bharat Health Account) address. This confirmation process ensures that all relevant care contexts are accurately linked and verified, providing patients with control over their health data. The API supports a seamless and efficient health information exchange, enhancing the overall quality and continuity of care within the healthcare ecosystem. The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Unique UUID for track the end to end request transaction Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds Suffix of the consent manager to which the request was intended Identifier of the health information user to which the request was intended JWT Authentication token which was issued by ABDM after successful validation of username and password The token number. Must be 6 digit and contain only 0-9. Allows the numerical values like "[\\d]*$" The link reference number from the /on-init call back . Allows alpha numeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \"':|()/]{0,255}$" Bad Request The error code and message, if any occurred. ABDM-1105 - Duplicate Confirm request. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Unauthorized 900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Internal Server Error The error code and message, if any occurred. The request id from discover call back .Allows alpha numeric characters and special characters like "^[0-9a-fA-F]{8}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{12}"Authorizations
Authorizationbearer tokenRequiredBearer prefix.Headers
REQUEST-IDstringRequiredTIMESTAMPstringRequiredX-CM-IDstringRequiredX-HIU-IDstringRequiredX-AUTH-TOKENstringRequiredBody
tokenintegerRequiredlinkRefNumberstringRequiredResponses
400errorobjecterror.codestringRequirederror.messagestringRequired401codestringmessagestringdescriptionstring500timestampnumberRequiredpathstringRequiredstatusintegerRequirederrorstringRequiredrequestIdstringRequired
Callbacks
- After this call, ABDM posts This API endpoint is used by healthcare information users (HIUs) to receive confirmation of the linked care contexts for a patient. It provides detailed information about the patient’s care contexts, including any errors encountered during the confirmation process. to
/api/v3/hiu/patient/care-context/on-confirm. Open the callback.